Servidor local Joomla 3.0 Portable

Mostrando 16 respuestas a los debates
  • Autor
    Entradas
    • #106612
      momocreativosJuan Carlos
      Participante

      Hola comunidad SoloJoomla. Hace rato que no me pasaba por acá. Quiero enviarles abrazos fraternos y desearles éxitos en los proyectos que adelantan.

      Tenía ganas de probar el nuevo Joomla 3.0 y me di cuenta que mi servidor de pruebas gratuito (000webhost) no soporta o no cumple los requisitos de la nueva versión. Buscando me encontré con Joomla Spanish Server 2.0 que es un paquete WAMP basado en Uniform Server 7.1.11-Orion que te permite ejecutar un servidor en cualquier ordenador con un sistema operativo basado en Windows(No conocía esta herramienta ya que sólo había utilizado appserver en el pasado cuando me inicié en joomla). Pero el lio es que sólo viene con joomla 1.5 y 1.7 instalados. Así que le monté el Joomla 3.0 y funcionó perfecto. Engomado con la cosa, me puse a modificar la herramienta e hice una nueva versión del Joomla Spanish Server. Aquí la descripción:

      Joomla Spanish Server 3.0 (No Oficial) es una versión modificada del paquete Joomla Spanish Server 2.0 desarrollado por: Joomla! Spanish. Los cambios realizados al paquete original son las supresión de la versión 1.7.1 de Joomla, la inclusión de las versiones Joomla 2.5.7 y Joomla 3.0.0 proporcionadas por Joomla Spanish

      También se añadió una instalación del CMS Jokte versión 1.1, que es un pack modificado de Joomla 2.5, desarrollado y mantenido por la comunidad latinoamericana de tecnología web Juuntos.org. Jokte es un software 100% libre y su marca es copyleft

      Joomla Spanish Server 3.0 (No Oficial) se pone a disposición con fines exclusivamente didácticos y de aprendizaje, pensando en aquellas personas que se inician en el mundo de Joomla y para quienes quieran probar la nueva versión 3.0.0 sin necesidad de usar un servidor de pago o con las limitaciones de uno gratuito

      BAJO NINGUNA CIRCUNSTANCIA ESTE PRODUCTO PUEDE SER VENDIDO O DISTRIBUIDO CON FINES LUCRATIVOS

      En ningún caso Joomla Spanish respaldó ni autorizó esta modificación, ni es responsable del contenido de este nuevo paquete

      Doy fe de que esta copia que estoy distribuyendo funciona correctamente, y no posee contenido ni código malicioso. Todas las modificaciones se hicieron en las carpetas “www” y “unicon/try_menu” del paquete original, otras carpetas y archivos no fueron tocados

      Sólo algunas imágenes y vínculos al proyecto joomla spanish han sido suprimidas por estética, sin embargo he procurado mantener los avisos copyrigth y los vínculos al proyecto original del Joomla Spanish Server 2.0 para que el usuario pueda comparar o utilizar el paquete original

      Sin mas cuentos les dejo el vínculo por si lo quieren descargar. Tuve que montarlo en mediafire porque pesa 49MB comprimido y me imagino que no sube al foro:

      DESCARGA JOOMLA SPANISH SERVER 3.0 (NO OFICIAL) PORTABLE:
      http://www.mediafire.com/download.php?xq6mq743cp9y2cl

      Imagen del servidor funcionando en mi PC


      [attachment:1]joomlaseverimg.jpg[/attachment]

    • #106613
      Federico PiccoliFederico Piccoli
      Participante

      Ciao

      [quote=”momocreativos” post=27435]…Pero el lio es que sólo viene con joomla 1.5 y 1.7 instalados. Así que le monté el Joomla 3.0 y funcionó perfecto…[/quote]
      Podrías explicarlo un poco mejor? Porque en un servidor en el que funciona Joomla 1.5 no puede funcionar Joomla 3.0 puesto que las version de php será compatible con el uno o con el otro, pero nunca con los dos.

    • #106615
      momocreativosJuan Carlos
      Participante

      Imagino que has instalado un servidor local como appserver, wamppserver, etc. Esta herramienta es lo mismo, pero no hay necesidad de instalarla, es portable. En una carpeta tienes todos los archivos del servidor y un icono para iniciarlo. Una vez iniciado el servidor puedes acceder a tu joomla en local a través de localhost/joomla15 o localhost/joomla30 o haciendo click en la interfaz gráfica de la herramienta que tiene vínculos a todas las versiones.

      En la carpeta raiz (www) tienes las tres instalaciones de joomla 1.5, 2.5, y 3.0 además una instalación del jokte es decir 4 cms. Estas versiones ya están instaladas, están funcionando, solo ingresas a front o a la administración.

      Aquí los datos del servidor:

      Apache 2.2.21
      MySQL 5.5.16-community
      PHP 5.3.8
      eAccelerator 1.0-snv427
      phpMyAdmin 3.4.5
      ActivePerl via Installer
      UniTray
      Go-Pear 1.1.6
      Cron – Scheduler
      DtDNS – IP address updater
      db_backup – Database back-up
      msmtp – Mail client for PHP

    • #106616
      Federico PiccoliFederico Piccoli
      Participante

      Ciao

      Lo que me figuraba:
      [quote=”momocreativos” post=27438]…
      PHP 5.3.8
      …[/quote]
      no és 100% compatible con Joomla 1.5, la versión máxima para no tener problemas és la 5.2.17

    • #112655
      GrandukeGranduke
      Participante

      Hola… Cómo se puede actualizar este Joomlaserver para correr las versiones 3.3.x? Es necesario el php a partir de la 5.3.10.
      Gracias

    • #112658
      lorena28lorena
      Participante

      Pero, lo que quieres ¿es un Joomla 3.3 en una llave USB?

      [quote=”Granduke” post=32978]Hola… Cómo se puede actualizar este Joomlaserver para correr las versiones 3.3.x? Es necesario el php a partir de la 5.3.10.
      Gracias[/quote]

    • #112661
      GrandukeGranduke
      Participante

      Lo que quiero es hacer pruebas en local, pues estoy intentando migrar una 2.5 a 3.3 y no funciona y en vez de hacerlo directamente en el servidor lo hago en local.
      Todas las pruebas en local con 2.5 siempre las hacía con Joomlaspanishserver2

    • #112717
      maestrulydiego
      Participante

      Quiero agradecerte publicamente por tu trabajo, me ha ido de maravilla, reconozco lo que has hecho pues ha sido un problema buscar la base de datos actualizada para trabajar con Joomla 3.0.

      MUCHAS GRACIAS!!!

    • #113056
      pcsolucionesfernando
      Participante

      Te dejo un enlace a un videotutorial que explica paso a paso, como realizar una instalación de jommla en un servidor.

      Paso 1/3 – Instalacion de joomla en servidor – Paso a Paso – 1/3 – Descargando archivos

      Paso 2/3 – Instalacion de joomla en servidor – Paso a Paso – 2/3 – permisos de archivos y carpetas en joomla

      Paso 3/3 – Instalacion de joomla en servidor – Paso a Paso -3/3 – Crear base de datos y finalizandar

      http://www.pcsoluciones.es

    • #113057
      redloModerador Foro
      Participante

      El titulo del post es Servidor local Joomla 3.0 Portable y lo que muestras en el video 3 es para joomla 2.5.7 version a punto de quedarse fuera de actualizaciones, incluido las de seguridad.

      [quote=”pcsoluciones” post=33365]Te dejo un enlace a un videotutorial que explica paso a paso, como realizar una instalación de jommla en un servidor.

      Paso 1/3 – Instalacion de joomla en servidor – Paso a Paso – 1/3 – Descargando archivos

      Paso 2/3 – Instalacion de joomla en servidor – Paso a Paso – 2/3 – permisos de archivos y carpetas en joomla

      Paso 3/3 – Instalacion de joomla en servidor – Paso a Paso -3/3 – Crear base de datos y finalizandar

      pcsoluciones.es[/quote]

    • #114762
      Txemtxem
      Participante

      ya sé que este post es viejuno…pero tengo un problemilla a ver si alguien me lo puede apañar..

      En esta version el PHP instalado es el 5.3.8, a partir de la version Joomla 3.3.0 necesita minimo una version de PHP 5.3.10.

      en el hosting tengo 5.5.30 y no hay pegas…pero estoy tratando de hacer unas pruebas en local y no me deja con el PHP “viejo”…

      hay manera FACIL de actualizar el PHP del JoomlaSpanishServer ?

    • #114763
      robertRobert
      Participante

      Porque no te instalas un wamp como easyphp, desde el que puedes actualizar versiones futuras facilmente.

    • #114764
      Txemtxem
      Participante

      lo pruebo a ver si me rula todo…

    • #114768
      Txemtxem
      Participante

      [quote=”robert” post=34954]Porque no te instalas un wamp como easyphp, desde el que puedes actualizar versiones futuras facilmente.[/quote]

      he probado…no hay manera,falla la insalacion, no funcionan cosas…y no se donde meter la base de datos…
      (
      el jomlaspanishserver es mas sencillo…. pero no tiene el php adecuado… 🙁

    • #114769
      robertRobert
      Participante

      A ver, si intentas instalar Easyphp bajo windows xp, no te lo va a permitir, por la version php 5.5. ¿Es asi?

    • #114824
      Txemtxem
      Participante

      estoy usando win10… portatil nuevo actualizado etz…

      no funciona Joomla en el navegador, pero si la BD,,, me sirve para probar importaciones etz…aunque me gustaria poder verlo el local

    • #114830
      lorena28lorena
      Participante

      Windows 10 , no lo conozco, pero si me han dicho que es bastante puñetero. Sera por la novedad. ¿Usas internet explorer u otro?

Mostrando 16 respuestas a los debates
  • Debes estar registrado para responder a este debate.
Si te ha servido... ¡ Compartelo en tus Redes Sociales !
Esta web utiliza cookies propias y de terceros para su correcto funcionamiento y para fines analíticos y para mostrarte publicidad relacionada con sus preferencias en base a un perfil elaborado a partir de tus hábitos de navegación. Al hacer clic en el botón Aceptar, acepta el uso de estas tecnologías y el procesamiento de sus datos para estos propósitos. Ver
Privacidad